SLABTOP(1)

NAZWA
slabtop - wyświetlanie informacji jądra o pamięci podręcznej płyt w czasie rzeczywistym

SKŁADNIA
slabtop [option ...]

OPIS
slabtop wyświetla szczegółowe informacje o pamięci podręcznej płyt jądra w czasie rzeczywistym. Wyświetla listę największych pamięci podręcznych posortowaną wg jednego z wymienionych kryteriów. Wyświetla także nagłówek statystyk wypełniony informacjami o warstwie płyt.

OPCJE
Zwykłe wywołanie programu slabtop nie wymaga żadnych opcji. Zachowanie można jednak dostrrajać przekazując jedną lub więcej z następujących flag:

-d, --delay=N
    Odświeżanie widoku co każde n sekund. Domyślnie slabtop odświeża widok co trzy sekundy. Aby zakończyć program, należu nacisnąć q. Nie można tego łączyć z opcją -o.

-s, --sort=S
    Sort wg S, gdzie S jest jednym z kryteriów sortowania.

-o, --once
    Jednokrotne wyświetlenie wyjścia i zakończenie.

--human
    Show slab sizes automatically scaled to shortest three digit unit and display the units of print out. Following units are used.

      B = bajty
      Ki = kibibajty
      Mi = mebibajty
      Gi = gibibajty
      Ti = tebibajty
      Pi = pebibajty

If this flag is not used, the slab sizes will be shown in KiB.

-V, --version
    Wyświetlenie informacji o wersji i zakończenie.

-h, --help
    Wyświetlenie informacji o sposobie użycia i zakończenie.

KRYTERIA SORTOWANIA
Poniżej są wymienione poprawne kryteria sortowania, określające także, które "największe" pamięci podręczne płyt mają być wyświetlane. Domyślnym kryterium jest sortowanie po liczbie obiektów ("o").

Kryterium sortowania można także zmienić podczas działania programu slabtop przez naciśnięcie przypisanego znaku.
znak | opis | nagłówek
a | liczba aktywnych obiektów | AKTYWNE
b | obiektów na płytę | OB./PŁ.
c | rozmiar pamięci podręcznej | ROZM.CACHE
l | liczba płyt | PŁYTY
v | liczba aktywnych płyt | N/D
n | nazwa | NAZWA
o | liczba obiektów | OB.
p | stron na płytę | N/D
s | rozmiar obiektu | ROZM.OB.
u | wykorzystanie pamięci podręcznej | UŻ.

POLECENIA
slabtop przyjmuje w trakcie działania polecenia z klawiatury. Obsługiwane są wymienione poniżej; w przypadku liter, akceptowane są obie wielkości.

Akceptowane są także wszystkie poprawne znaki sortowania w celu zmiany kryterium - więcej w sekcji KRYTERIA SORTOWANIA.

<SPACJA>
    Odświeżenie ekranu.

Q   Zakończenie programu.

PLIKI

/proc/slabinfo
    informacje o płytach

ZOBACZ TAKŻE
free(1), ps(1), top(1), vmstat(8).

UWAGI
Obecnie program slabtop wymaga jądra 2.4 lub nowszego (w szczególności wersji 1.1 lub późniejszej /proc/slabinfo). Jądro 2.2 powinno być obsługiwane w przyszłości.

Nagłówek statystyk slabtop śledzi liczbę bajtów płyt będących w użyciu, nie mierzy pamięci fizycznej. Pole 'Slab' w pliku /proc/meminfo śledzi informacje o wykorzystanej pamięci fizycznej płyt.

Kolumna ROZM.CACHE nie jest dokładne, jest to górny limit pamięci wykorzystywanej przez daną płytę. Kiedy system jest obciążony pamięciowo, może być zmieniana kolejność płyt, co oznacza, że "liczba stron na płytę" nie jest stała i może się zmniejszać.

AUTORZY
Napisali Chris Rivera i Robert Love.

slabtop był zainspirowany skryptem perlowym vmtop Martina Bligha.

ZGŁASZANIE BŁĘDÓW
Please send bug reports to procps@freelists.org.